Page MenuHomePhabricator

Code hygiene ketchup (tracking)
Closed, DeclinedPublic

Description

This is an experiment introduced from the sprint commencing 31st March 2017.

This task tracks small hygiene tasks associated with reading web projects. It is a lightweight way to tell team members that you have done some opportunistic refactoring.

It can be moved around the Kanban board to reflect code that needs review/needs improvement. It should be considered lower priority compared to other work in the sprint.

The goal is to encourage developers to work on and communicate hygiene tasks they are making. As part of review, if a reviewer deems a task confusing or not clear this task can be used as an opportunity to start conversations/spin off tasks where necessary.

This task should not be removed from the kanban board. It's default home is ToDo. There is always refactoring to be done!

Current hygiene patches requesting review

Needs review

Needs more work

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)Jul 6 2017, 7:26 PM
bmansurov updated the task description. (Show Details)Jul 6 2017, 9:54 PM
bmansurov updated the task description. (Show Details)Jul 6 2017, 11:12 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)Jul 11 2017, 6:36 PM
pmiazga updated the task description. (Show Details)Jul 24 2017, 2:35 PM
pmiazga added a subscriber: pmiazga.
pmiazga updated the task description. (Show Details)Jul 24 2017, 3:04 PM
pmiazga updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)Jul 24 2017, 3:58 PM

Change 369645 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/extensions/TextExtracts@master] Hygiene: Remove deprecation and unused import

https://gerrit.wikimedia.org/r/369645

pmiazga updated the task description. (Show Details)Aug 2 2017, 1:26 PM

Change 369650 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/extensions/MobileFrontend@master] Hygiene: Stop using deprecated setWarning and dieUsage

https://gerrit.wikimedia.org/r/369650

pmiazga updated the task description. (Show Details)Aug 2 2017, 1:52 PM

Change 369654 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/extensions/MobileFrontend@master] Hygiene: ParseCache::singleton() is deprecated, use MediaWikiServices instead

https://gerrit.wikimedia.org/r/369654

pmiazga updated the task description. (Show Details)Aug 2 2017, 2:03 PM

Change 369657 had a related patch set uploaded (by Pmiazga; owner: Pmiazga):
[mediawiki/extensions/MobileFrontend@master] Hygiene: Interwiki::getAllPrefixes() is deprecated use MediaWikiServices instead

https://gerrit.wikimedia.org/r/369657

pmiazga updated the task description. (Show Details)Aug 2 2017, 2:08 PM

I've got a minor request for clarification on https://gerrit.wikimedia.org/r/369650 :

This is a big support jump (from 1.27 to 1.29). It is warranted? Was there any reason we were trying to support 1.27?

Jdlrobson updated the task description. (Show Details)Aug 3 2017, 9:30 PM
Jdlrobson updated the task description. (Show Details)

Change 369654 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Hygiene: ParseCache::singleton() is deprecated, use MediaWikiServices instead

https://gerrit.wikimedia.org/r/369654

Change 369657 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Hygiene: Interwiki::getAllPrefixes() is deprecated use MediaWikiServices instead

https://gerrit.wikimedia.org/r/369657

Change 369645 merged by jenkins-bot:
[mediawiki/extensions/TextExtracts@master] Hygiene: Remove deprecation and unused import

https://gerrit.wikimedia.org/r/369645

Jdlrobson updated the task description. (Show Details)Aug 3 2017, 10:44 PM

@pmiazga has replied according to standup update

@Jdlrobson the real question is what do we want to support? Do want to support the oldest possible MediaWiki version always, even we have to add tricks like:

if ( method_exists( 'somefunction', 'someclass' ) ) {
   do_it_new_way();
} else {
   do_it_old_way();
}

Everytime there is a new release we do a branch cut on all extensions, Also is there any procedure to verify that after all changes introduced in last year MF still works properly on 1.27?

Change 369650 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Hygiene: Stop using deprecated setWarning and dieUsage

https://gerrit.wikimedia.org/r/369650

I don't want to bring T173800 into the sprint as I think it will cause confusion (i've only fixed part of it ) and it is not a priority, but if anyone has some spare cycles I'd appreciate a review of https://gerrit.wikimedia.org/r/373076. I believe this will improve things considerably for the Wikisource community and given it is not a trivial change I'd like to run it by at least one person.

MBinder_WMF added a subscriber: MBinder_WMF.

Adding tags to make this task Phlogiston-compatible (to exclude it).

Jdlrobson updated the task description. (Show Details)Aug 28 2017, 9:10 PM
Jdlrobson updated the task description. (Show Details)Aug 31 2017, 7:09 PM
Jdlrobson updated the task description. (Show Details)Aug 31 2017, 7:49 PM
Jdlrobson updated the task description. (Show Details)Aug 31 2017, 8:10 PM
Jdlrobson updated the task description. (Show Details)Aug 31 2017, 8:34 PM
pmiazga updated the task description. (Show Details)Aug 31 2017, 9:36 PM
pmiazga updated the task description. (Show Details)Sep 1 2017, 6:49 PM
pmiazga updated the task description. (Show Details)Sep 1 2017, 7:07 PM
pmiazga updated the task description. (Show Details)Sep 1 2017, 7:59 PM
Jdlrobson updated the task description. (Show Details)Sep 1 2017, 8:22 PM
Jdlrobson updated the task description. (Show Details)Sep 6 2017, 1:55 PM
Jdlrobson updated the task description. (Show Details)Sep 8 2017, 5:09 PM
pmiazga updated the task description. (Show Details)Sep 8 2017, 5:13 PM
Jdlrobson updated the task description. (Show Details)Sep 26 2017, 7:35 PM
pmiazga updated the task description. (Show Details)Sep 28 2017, 2:03 PM
pmiazga updated the task description. (Show Details)Sep 28 2017, 8:16 PM
pmiazga updated the task description. (Show Details)Sep 28 2017, 8:37 PM
Jdlrobson closed this task as Declined.Jan 10 2018, 5:17 PM

See ya! \o
This experiment was stopped on 1st Nov.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptJan 10 2018, 5:17 PM